@charset "utf-8";

/*//////////////////// Reset CSS start ////////////////////*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  font-size: 100%;
  vertical-align: baseline;
}
/*//////////////////// Reset CSS end ////////////////////*/

html {
  scroll-behavior: smooth;
}

body {
  font-size: 16px;
  /* 基準となるフォントサイズ */
}

/* コンテンツ：嘉ノ屋とは 商品一覧 アクセス 採用情報 お問合わせ */

/*//////////////////// 共通CSS ////////////////////*/
.container {
  width: 90%;
  max-width: 1024px;
  margin: 0 auto;
  position: relative;
  /* 「#top::before」とセットで使う */
}

.flex {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
  /* 中央揃え */
}

.heading {
  font-size: clamp(4.688rem, 2.253rem + 11.13vw, 9.375rem);
  font-weight: 700;
  color: #745399;
  opacity: 0.1;
  position: absolute;
  top: 0;
  right: 0;
  transform: translateY(0%);
  z-index: -1;
}

.title {
  font-size: clamp(20px, 2.4vw, 24px);
  font-weight: 700;
  color: #745399;
  margin-bottom: 40px;
}

.anchor {
  padding-top: 100px;
  margin-top: 100px;
}

/* ページ最上部へ戻るボタン */
.pagetop {
  height: 50px;
  width: 50px;
  position: fixed;
  right: 30px;
  bottom: 30px;
  background: #fff;
  border: solid 2px #999;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 4px 6px rgb(0 0 0 / 30%);
  z-index: 2;
}

.pagetop__arrow {
  height: 10px;
  width: 10px;
  border-top: 3px solid #999;
  border-right: 3px solid #999;
  transform: translateY(20%) rotate(-45deg);
}

/* ライン */
.hr_top {
  width: 100%;
  border-top: 1px solid #eeeeee;
  margin-top: 20px;
  margin-bottom: 50px;
}
.hr_bottom {
  width: 100%;
  border-top: 1px solid #eeeeee;
  margin-top: 50px;
  margin-bottom: 20px;
}

/* ホームへ戻るボタン */
.back_home {
  width: 100%;
  text-align: center;
}

.back_home a {
  color: #000000;
  text-decoration: none;
  transition: 0.3s;
}

.back_home:hover a {
  opacity: 0.5;
  transition: 0.3s;
}

/* 前のページへ戻るボタン */
.back_page {
  width: 100%;
  text-align: left;
}

.back_page a {
  color: #000000;
  text-decoration: none;
  transition: 0.3s;
}

.back_page:hover a {
  opacity: 0.5;
  transition: 0.3s;
}

/*//////////////////// ヘッダー ////////////////////*/
header {
  position: sticky;
  top: 0;
  z-index: 100;
  background-color: #FFFFFF;
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.2);
}
.menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0;
  height: 80px;
}
.logo {
  margin-left: 50px;
}
.logo img {
  height: 70px;
  width: auto;
}
.nav-links {
  list-style: none;
  display: flex;
  margin-right: 35px;
}
.nav-links li {
  margin: 0 15px;
}
.nav-links a {
  font-weight: 700;
  color: #000000;
  text-decoration: none;
  transition: 0.3s;
}
.nav-links :hover a {
  opacity: 0.5;
  transition: 0.3s;
}
@media (min-width: 770px) {
  .nav-links a {
    font-size: clamp(1rem, -0.213rem + 2.52vw, 1.4rem);
  }
}

.hamburger {
  display: none;
  cursor: pointer;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 20px;
}
.hamburger .bar {
  height: 4px;
  background-color: #000000;
  transition: transform 0.3s ease-in-out;
}
#hamburger:checked ~ .h-hamburger-menu_bg {
  display: block;
}

@media (max-width: 770px) {
  .menu {
    height: 50px;
  }
  .logo{
    margin-left: 20px;
  }
  .logo img {
    height: 40px;
    width: auto;
  }
  .nav-links {
    display: none;
    position: absolute;
    top: 50px;
    right: 0;
    background-color: #ffffff;
    width: 50%;
    max-width: 300px;
    height: 100vh;
    text-align: center;
    flex-direction: column; /* 横並びから縦並びに変更 */
    align-items: center; /* 中央揃え */
    margin: 0;
  }
  .nav-links a {
    font-size: 1.4rem;
  }
  .nav-links li {
    margin: 10px 0; /* 各リンクの間隔 */
  }
  .hamburger {
    display: flex;
    margin-right: 20px;
  }
}

/* ハンバーガーメニュー */
.menu.open .nav-links {
  display: flex;
}
.hamburger.open .bar:nth-child(1) {
  transform: translateY(5px) rotate(45deg);
}
.hamburger.open .bar:nth-child(2) {
  opacity: 0;
}
.hamburger.open .bar:nth-child(3) {
  transform: translateY(-11px) rotate(-45deg);
}
/* オーバーレイ */
.overlay.show {
  display: block;
}
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5); /* 半透明の黒 */
  z-index: 99; /* ナビゲーションメニューより下に */
  display: none;
}
/* メニューが開いた時にオーバーレイを表示 */
.menu.open ~ .overlay {
  display: block;
}

/*//////////////////// フッター ////////////////////*/
.f_column_img {
  margin-top: 0;
  background-image: url(/img/footer.jpg);
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 300px;
}
@media screen and (max-width: 390px) {
  .f_column_img {
    height: 150px;
  }
}

footer {
  text-align: center;
  margin-top: 200px;
}

footer p {
  font-size: 0.8rem;
  margin-bottom: 30px;
}

footer .logo {
  margin: 0;
}

.f_copyright {
  font-size: 0.75rem;
  color: #FFFFFF;
  font-weight: 400;
  width: 100%;
  background-color: #745399;
}
